Subject: Re: [Gen-art] Gen-art review of draft-ietf-storm-iscsi-cons-06

From: "Moriarty, Kathleen" <[email-masked]>
Date: Mon, 3 Sep 2012 09:29:25 -0400

I apologize for the resend, I had a typo in the gen-art email address.

Best regards,
Kathleen
________________________________________
From: Moriarty, Kathleen
Sent: Monday, September 03, 2012 9:16 AM
To: [email-masked]; [email-masked]; [email-masked]
Cc: [email-masked]; [email-masked]; [email-masked]; [email-masked]; Black, David
Subject: Gen-art review of draft-ietf-storm-iscsi-cons-06

I am the assigned Gen-ART reviewer for this draft. For background on
Gen-ART, please see the FAQ at

<http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq> .

Please resolve these comments along with any other Last Call comments
you may receive.

Document:  draft-ietf-storm-iscsi-cons-06
Reviewer: Kathleen Moriarty
Review Date: September 3, 2012
IETF LC End Date:  Unsure, it was delayed
IESG Telechat date: (if known)

Summary:  draft-ietf-storm-iscsi-cons-06 combines and updates several RFCs.  The document is ready with nits.

This document describes a transport protocol for SCSI that works on top of TCP. The iSCSI protocol aims to be fully compliant with the standardized SCSI Architecture Model (SAM-2).  This document obsoletes RFCs 3720, 3980, 4850 and 5048 by consolidating them into a single document and making additional updates to the consolidated specification. This document also updates RFC 3721 and RFC 3723.

Major issues:

Minor issues:

Nits/editorial comments:
IDNits does not come up clean.  Please review the output and correct the updates/obsoletes as appropriate in the header.  IDnits is looking for RFC# and the draft just includes the #.  Additionally, Updates does not include RFC5048 and RFC4850 in the header.

Section 2.3 first bullet:
replace 'consolidated' with 'consolidates'
bullet #8 - don't need a comma

Section 3.5:
Should the shall and shall not be in caps?

Section 4.1:
Second sentence: I believe "Section" should be lower case as it is not referring to a section number, but informally stating 'this section'.

Section 4.2.2.3.4.:
Reword first sentence, should snot end with 'with'.

Section 9.2, 4th paragraph, for consistency with similar section references start in this section and continue through the document.  In most cases, there is a dash with a space after a section number.  If that is the preferred format for consistency, here are a few places this shows up, although a search should be made to make this consistent.
"12.1.3- "Challenge" should be "12.1.3 - "Challenge"
and in paragraph 5:
"12.1.2- "Secure" should be "12.1.2 - "Secure"
Section 9.2.1, forth paragraph:"12.1.3-" should be "12.1.3 -"
Section 10 contains more examples that do not contain a space, so the better approach may be to change the ones with a space to no space after the section number.
Section 11.3.6 - goes back to using a space following the section number reference.

Section 14, #3, I don't think it is necessary to say "under the new IETF Review registration procedures", rather just, "under the IETF Review registration procedures".  They could change again.

Thank you,
Kathleen

---

From: Mallikarjun Chadalapaka <[email-masked]>
Date: Wed, 5 Sep 2012 02:52:10 +0000

Thanks Kathleen for the review, I will address these as appropriate in the next revision.

Mallikarjun

-----Original Message-----
From: Moriarty, Kathleen [mailto:[email-masked]] 
Sent: Monday, September 03, 2012 6:29 AM
To: [email-masked]; [email-masked]; [email-masked]
Cc: Mallikarjun Chadalapaka; [email-masked]; [email-masked]; [email-masked]; Black, David
Subject: RE: Gen-art review of draft-ietf-storm-iscsi-cons-06

Best regards,
Kathleen

I am the assigned Gen-ART reviewer for this draft. For background on Gen-ART, please see the FAQ at

Please resolve these comments along with any other Last Call comments you may receive.

Document:  draft-ietf-storm-iscsi-cons-06
Reviewer: Kathleen Moriarty
Review Date: September 3, 2012
IETF LC End Date:  Unsure, it was delayed IESG Telechat date: (if known)

Major issues:

Minor issues:

Nits/editorial comments:

Section 3.5:

Section 4.1:

Section 4.2.2.3.4.:

Thank you,
Kathleen

---

From: "Black, David" <[email-masked]>
Date: Sat, 15 Sep 2012 18:41:30 -0400

Kathleen,

Thank you for the review.  I wanted to follow up on one of the comments
that could be more than editorial - the comment is in fact editorial,

> Should the shall and shall not be in caps?

Nope - those words occur in text describing the ASCII-fied UML notation
used in this draft, so lower case is appropriate, as this draft is not
a normative specification of UML:

  The preceding diagram is an example where Class whole is an
  aggregate that contains Class part where Class part shall only
  belong to one Class whole, and the Class part shall not continue
  to exist if the Class whole is removed (i.e., read as "the whole
  contains the part").

For clarity, the "shall" on the second line should just be removed:
	shall only belong -> only belongs

Similarly, the "shall not" on the third line should be reworded:
	shall not continue to exist -> does not continue to exist

Thanks,
--David

> Sent: Monday, September 03, 2012 9:17 AM
> This document describes a transport protocol for SCSI that works on top of
> TCP. The iSCSI protocol aims to be fully compliant with the standardized SCSI
> Architecture Model (SAM-2).  This document obsoletes RFCs 3720, 3980, 4850 and
> 5048 by consolidating them into a single document and making additional
> updates to the consolidated specification. This document also updates RFC 3721
> and RFC 3723.
> 
> Major issues:
> 
> Minor issues:
> 
> Nits/editorial comments:
> IDNits does not come up clean.  Please review the output and correct the
> updates/obsoletes as appropriate in the header.  IDnits is looking for RFC#
> and the draft just includes the #.  Additionally, Updates does not include
> RFC5048 and RFC4850 in the header.
> 
> Second sentence: I believe "Section" should be lower case as it is not
> referring to a section number, but informally stating 'this section'.
> 
> 
> Section 4.2.2.3.4.:
> Section 9.2, 4th paragraph, for consistency with similar section references
> start in this section and continue through the document.  In most cases, there
> is a dash with a space after a section number.  If that is the preferred
> format for consistency, here are a few places this shows up, although a search
> should be made to make this consistent.
> Section 10 contains more examples that do not contain a space, so the better
> approach may be to change the ones with a space to no space after the section
> number.
> Section 14, #3, I don't think it is necessary to say "under the new IETF
> Review registration procedures", rather just, "under the IETF Review
> registration procedures".  They could change again.
> 
> Thank you,
> Kathleen